Package org.gradle.platform.base

# Interface DependencySpecBuilder

All Known Subinterfaces:
  `ModuleDependencySpecBuilder`, `ProjectDependencySpecBuilder`

@Incubating public interface DependencySpecBuilder
A builder of a `DependencySpec`. Implementations are required to return immutable dependency specs.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `DependencySpec`
  `build()`
  Builds a concrete immutable `DependencySpec` instance.

- ## Method Details

  - ### build

    DependencySpec build()
    Builds a concrete immutable `DependencySpec` instance.
    Returns:
      an immutable dependency specification